Wijmo 여유 시간 상태 달력

Slack 상태 페이지의 Wijmo 버전입니다. 몇 개의 Calendar 컨트롤을 표시하고, formatItem 이벤트를 사용하여 중요한 이벤트가 발생한 날에 아이콘을 추가합니다. 일반 CSS를 사용하여 달력의 모양을 사용자 정의합니다.

Input 컨트롤 알아보기 | Calendar Overview Documentation | Calendar API Reference

import 'bootstrap.css'; import '@mescius/wijmo.styles/wijmo.css'; import './styles.css'; // import * as wijmo from '@mescius/wijmo'; import * as input from '@mescius/wijmo.input'; // import { getEvents } from './data'; // document.readyState === 'complete' ? init() : window.onload = init; // function init() { // create the events to show on our calendar let events = getEvents(); // create the calendar let calendar = document.getElementById('calendar'), tooltip = new wijmo.Tooltip(); for (let i = 0, start = new Date(); i < 12; i++) { let month = createMonthControl(wijmo.DateTime.addMonths(start, -i)); calendar.appendChild(month); } // create a month function createMonthControl(date) { // create the calendar let month = wijmo.createElement('<div class="month"></div>'), cal = new input.Calendar(month, { showHeader: false, selectionMode: 'None', value: date, formatItem: formatDayCell }); cal.refresh(); // disable changing months with the mouse wheel cal.removeEventListener(cal.hostElement, 'wheel'); // add a custom header element let fmt = wijmo.format('<div class="month-header">' + '<div class="month-title">{header}</div>' + '<div class="month-status">{uptime}% uptime</div>' + '</div>', { header: wijmo.Globalize.format(date, 'MMMM yyyy'), uptime: getUptime() }); let newHeader = wijmo.createElement(fmt); let hdr = cal.hostElement.querySelector('.wj-calendar-header'); hdr.parentElement.insertBefore(newHeader, hdr); // show only first letter of the week days let cells = cal.hostElement.querySelectorAll('table tr.wj-header th'); for (let i = 0; i < 7; i++) { cells[i].textContent = cells[i].textContent.substr(0, 1); } return month; } // format the calendar cells to show events function formatDayCell(sender, e) { let event = getEvent(e.data), html = `<div>${e.data.getDate()}</div>`; html += event ? `<img alt="${event.type}" src="https://status.slack.com/img/v2/Table${event.type}.png"/>` : ''; // format cell content e.item.innerHTML = html; // add tooltip to cell let tip = wijmo.format('<div class="event-tip event-type-{eventType}">' + '<div>{date:MMM d, yyyy}</div>' + '<div class="event">{eventMessage}</div>' + '</div>', { date: e.data, eventMessage: event ? event.msg : 'No incidents, outages, or maintenance.', eventType: event ? event.type.toLocaleLowerCase() : 'none' }); tooltip.setTooltip(e.item, tip); } function getUptime() { let tm = [100, 99.75, 99.998, 99.98, 99.996, 99.93]; return tm[Math.floor(Math.random() * tm.length)]; } function getEvent(date) { for (let i = 0; i < events.length; i++) { if (wijmo.DateTime.sameDate(events[i].date, date)) { return events[i]; } } return null; } }
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo Calendar Customization</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app'); </script> </head> <body> <main class="container-fluid"> <div class="legend"> <div><img alt="TableMaintenance" src="https://status.slack.com/img/v2/TableMaintenance.png"> Maintenance</div> <div><img alt="TableIncident" src="https://status.slack.com/img/v2/TableIncident.png"> Incident</div> <div><img alt="TableNotice" src="https://status.slack.com/img/v2/TableNotice.png"> Notice</div> <div><img alt="TableOutage" src="https://status.slack.com/img/v2/TableOutage.png"> Outage</div> </div> <div id="calendar" class="calendar"> </div> </main> </body> </html>
import { DateTime } from '@mescius/wijmo'; // // generate some events between now and a year ago export function getEvents() { let arr = [], types = ['Maintenance', 'Incident', 'Notice', 'Outage'], messages = ['Connectivity Issues', 'ISP Reported Problem', 'Message Server Overflow', 'Security Alert', 'Email Failure', 'Power Instability', 'Power Outage']; // for (let i = 0; i < 120; i++) { let dt = DateTime.addDays(new Date(), -Math.round(Math.random() * 365)); arr.push({ id: i, date: dt, type: types[Math.floor(Math.random() * types.length)], msg: messages[Math.floor(Math.random() * messages.length)] }); } // return arr; }
@media (min-width: 1200px) { .container-fluid { width: 1250px; } } body { background-color: #f5f5f5; font-size: 16px; font-family: -apple-system-font, 'Segoe UI', 'Roboto', sans-serif; padding: 0 0 10px; } .legend { display: flex; justify-content: flex-end; } .legend div { margin-left: 24px; } .calendar { display: flex; flex-wrap: wrap; justify-content: center; margin-top: 32px; padding-bottom: 90px; } .calendar .wj-calendar { width: 390px; padding: 12px 12px 36px; background-color: white; margin: 8px; } .calendar .wj-calendar .wj-content { border: none; } .calendar .wj-calendar .wj-day-today { font-weight: normal; } .calendar .wj-calendar .wj-state-selected { background: inherit; color: inherit; } .calendar .wj-calendar tr:not(.wj-header) td:hover { background: #eee; } .calendar .wj-calendar .month-header { display: flex; justify-content: space-between; align-items: baseline; font-weight: bold; margin-bottom: 20px; } .calendar .wj-calendar .month-header .month-title{ font-size: 150%; } .calendar .wj-calendar img { height: 12px; margin-top: -12px; } .calendar .wj-calendar-month .wj-header { font-size: 100%; background-color: inherit; font-weight: normal; } .calendar .wj-calendar .wj-day-othermonth { visibility: hidden; } .wj-tooltip { background-color: #fff; padding: 0; border: 1px solid rgba(0,0,0,0.1); border-radius: 0; box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22); box-sizing: border-box; width: 450px; } .wj-tooltip .event { margin-top: 12px; font-weight: bold; } .wj-tooltip .event-tip { border-top: 4px solid green; padding: 24px; } .wj-tooltip .event-tip.event-type-maintenance { border-top-color: #3f46ad; } .wj-tooltip .event-tip.event-type-incident { border-top-color: #eeb522; } .wj-tooltip .event-tip.event-type-notice { border-top-color: #ff944b; } .wj-tooltip .event-tip.event-type-outage { border-top-color: #eb4d5c; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { 'jszip': 'npm:jszip/dist/jszip.js', '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);

Wijmo 여유 시간 상태 달력 (Angular)

Slack 상태 페이지의 Wijmo 버전입니다. 몇 개의 Calendar 컨트롤을 표시하고, formatItem 이벤트를 사용하여 중요한 이벤트가 발생한 날에 아이콘을 추가합니다. 일반 CSS를 사용하여 달력의 모양을 사용자 정의합니다.

Input 컨트롤 알아보기 | Calendar Overview Documentation | Calendar API Reference

이 데모는 Angular를 기반으로합니다.

import 'bootstrap.css'; import '@grapecity/wijmo.styles/wijmo.css'; import './styles.css'; // import * as wijmo from '@grapecity/wijmo'; import * as input from '@grapecity/wijmo.input'; // import '@angular/compiler'; import { Component, Inject, enableProdMode, NgModule, OnInit } from '@angular/core'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { BrowserModule } from '@angular/platform-browser'; import { WjInputModule } from '@grapecity/wijmo.angular2.input'; import { DataService, TCalendarEvent } from './app.data'; // @Component({ selector: 'app-component', templateUrl: 'src/app.component.html' }) export class AppComponent implements OnInit { private _events: TCalendarEvent[]; private _tooltip: wijmo.Tooltip; constructor(@Inject(DataService) private dataService: DataService) { // create the events to show on our calendar this._events = dataService.getEvents(); this._tooltip = new wijmo.Tooltip(); } ngOnInit() { // create the calendar let calendar = document.querySelector('#calendar'); // for (let i = 0, start = new Date(); i < 12; i++) { let month = this._createMonthControl(wijmo.DateTime.addMonths(start, -i)); calendar.appendChild(month); } } // create a month private _createMonthControl(date: Date) { // create the calendar let month = wijmo.createElement('<div class="month"></div>'), cal = new input.Calendar(month, { showHeader: false, selectionMode: 'None', value: date, formatItem: this._formatDayCell.bind(this) }); cal.refresh(); // disable changing months with the mouse wheel cal.removeEventListener(cal.hostElement, 'wheel'); // add a custom header element let fmt = wijmo.format('<div class="month-header">' + '<div class="month-title">{header}</div>' + '<div class="month-status">{uptime}% uptime</div>' + '</div>', { header: wijmo.Globalize.format(date, 'MMMM yyyy'), uptime: this._getUptime() }); let newHeader = wijmo.createElement(fmt); let hdr = cal.hostElement.querySelector('.wj-calendar-header'); hdr.parentElement.insertBefore(newHeader, hdr); // show only first letter of week day let cells = cal.hostElement.querySelectorAll('table tr.wj-header td'); for (let i = 0; i < 7; i++) { cells[i].textContent = cells[i].textContent.substr(0, 1); } // return month; } // format the calendar cells to show events private _formatDayCell(sender: input.Calendar, e: input.FormatItemEventArgs) { let event = this._getEvent(e.data), html = `<div>${e.data.getDate()}</div>`; html += event ? `<img src="https://status.slack.com/img/v2/Table${event.type}.png"/>` : '<img/>' // format cell content e.item.innerHTML = html; // add tooltip to cell let tip = wijmo.format('<div class="event-tip event-type-{eventType}">' + '<div>{date:MMM d, yyyy}</div>' + '<div class="event">{eventMessage}</div>' + '</div>', { date: e.data, eventMessage: event ? event.msg : 'No incidents, outages, or maintenance.', eventType: event ? event.type.toLocaleLowerCase() : 'none' }); this._tooltip.setTooltip(e.item, tip) } private _getUptime() { let tm = [100, 99.75, 99.998, 99.98, 99.996, 99.93]; return tm[Math.floor(Math.random() * tm.length)]; } private _getEvent(date: Date): TCalendarEvent { for (let i = 0; i < this._events.length; i++) { if (wijmo.DateTime.sameDate(this._events[i].date, date)) { return this._events[i]; } } return null; } } @NgModule({ imports: [WjInputModule, BrowserModule], declarations: [AppComponent], providers: [DataService], bootstrap: [AppComponent] }) export class AppModule { } enableProdMode(); // Bootstrap application with hash style navigation and global services. platformBrowserDynamic().bootstrapModule(AppModule);
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo Calendar Customization</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- Polyfills --> <script src="node_modules/core-js/client/shim.min.js"></script> <script src="node_modules/zone.js/fesm2015/zone.min.js"></script> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script> // workaround to load 'rxjs/operators' from the rxjs bundle System.import('rxjs').then(function (m) { System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators)); System.import('./src/app.component'); }); </script> </head> <body> <app-component></app-component> </body> </html>
<div class="container-fluid"> <div class="legend"> <div><img src="https://status.slack.com/img/v2/TableMaintenance.png"> Maintenance</div> <div><img src="https://status.slack.com/img/v2/TableIncident.png"> Incident</div> <div><img src="https://status.slack.com/img/v2/TableNotice.png"> Notice</div> <div><img src="https://status.slack.com/img/v2/TableOutage.png"> Outage</div> </div> <div id="calendar" class="calendar"> </div> </div>
import { DateTime } from '@grapecity/wijmo'; import { Injectable } from '@angular/core'; // export type TCalendarEvent = { id: number; date: Date; type: string; msg: string; } // @Injectable() export class DataService { getEvents() { let arr: TCalendarEvent[] = [], types = ['Maintenance', 'Incident', 'Notice', 'Outage'], messages = ['Connectivity Issues', 'ISP Reported Problem', 'Message Server Overflow', 'Security Alert', 'Email Failure', 'Power Instability', 'Power Outage']; // for (let i = 0; i < 120; i++) { let dt = DateTime.addDays(new Date(), -Math.round(Math.random() * 365)); arr.push({ id: i, date: dt, type: types[Math.floor(Math.random() * types.length)], msg: messages[Math.floor(Math.random() * messages.length)] }); } // return arr; } }
@media (min-width: 1200px) { .container-fluid { width: 1250px; } } body { background-color: #f5f5f5; font-size: 16px; font-family: -apple-system-font, 'Segoe UI', 'Roboto', sans-serif; padding: 0 0 10px; } .legend { display: flex; justify-content: flex-end; } .legend div { margin-left: 24px; } .calendar { display: flex; flex-wrap: wrap; justify-content: center; margin-top: 32px; padding-bottom: 90px; } .calendar .wj-calendar { width: 390px; padding: 12px 12px 36px; background-color: white; margin: 8px; } .calendar .wj-calendar .wj-content { border: none; } .calendar .wj-calendar .wj-day-today { font-weight: normal; } .calendar .wj-calendar .wj-state-selected { background: inherit; color: inherit; } .calendar .wj-calendar tr:not(.wj-header) td:hover { background: #eee; } .calendar .wj-calendar .month-header { display: flex; justify-content: space-between; align-items: baseline; font-weight: bold; margin-bottom: 20px; } .calendar .wj-calendar .month-header .month-title{ font-size: 150%; } .calendar .wj-calendar img { height: 12px; margin-top: -12px; } .calendar .wj-calendar-month .wj-header { font-size: 100%; background-color: inherit; font-weight: normal; } .calendar .wj-calendar .wj-day-othermonth { visibility: hidden; } .wj-tooltip { background-color: #fff; padding: 0; border: 1px solid rgba(0,0,0,0.1); border-radius: 0; box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22); box-sizing: border-box; width: 450px; } .wj-tooltip .event { margin-top: 12px; font-weight: bold; } .wj-tooltip .event-tip { border-top: 4px solid green; padding: 24px; } .wj-tooltip .event-tip.event-type-maintenance { border-top-color: #3f46ad; } .wj-tooltip .event-tip.event-type-incident { border-top-color: #eeb522; } .wj-tooltip .event-tip.event-type-notice { border-top-color: #ff944b; } .wj-tooltip .event-tip.event-type-outage { border-top-color: #eb4d5c; }
(function (global) { SystemJS.config({ transpiler: './plugin-typescript.js', typescriptOptions: { "target": "ES2022", "module": "system", "emitDecoratorMetadata": true, "experimentalDecorators": true, }, baseURL: 'node_modules/', meta: { 'typescript': { "exports": "ts" }, '*.css': { loader: 'systemjs-plugin-css' } }, paths: { // paths serve as alias 'npm:': '' }, packageConfigPaths: [ '/node_modules/*/package.json', "/node_modules/@angular/*/package.json", "/node_modules/@grapecity/*/package.json" ], map: { 'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js', 'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js', "rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js", 'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js', '@grapecity/wijmo': 'npm:@grapecity/wijmo/index.js', '@grapecity/wijmo.input': 'npm:@grapecity/wijmo.input/index.js', '@grapecity/wijmo.styles': 'npm:@grapecity/wijmo.styles', '@grapecity/wijmo.cultures': 'npm:@grapecity/wijmo.cultures', '@grapecity/wijmo.chart': 'npm:@grapecity/wijmo.chart/index.js', '@grapecity/wijmo.chart.analytics': 'npm:@grapecity/wijmo.chart.analytics/index.js', '@grapecity/wijmo.chart.animation': 'npm:@grapecity/wijmo.chart.animation/index.js', '@grapecity/wijmo.chart.annotation': 'npm:@grapecity/wijmo.chart.annotation/index.js', '@grapecity/wijmo.chart.finance': 'npm:@grapecity/wijmo.chart.finance/index.js', '@grapecity/wijmo.chart.finance.analytics': 'npm:@grapecity/wijmo.chart.finance.analytics/index.js', '@grapecity/wijmo.chart.hierarchical': 'npm:@grapecity/wijmo.chart.hierarchical/index.js', '@grapecity/wijmo.chart.interaction': 'npm:@grapecity/wijmo.chart.interaction/index.js', '@grapecity/wijmo.chart.radar': 'npm:@grapecity/wijmo.chart.radar/index.js', '@grapecity/wijmo.chart.render': 'npm:@grapecity/wijmo.chart.render/index.js', '@grapecity/wijmo.chart.webgl': 'npm:@grapecity/wijmo.chart.webgl/index.js', '@grapecity/wijmo.chart.map': 'npm:@grapecity/wijmo.chart.map/index.js', '@grapecity/wijmo.gauge': 'npm:@grapecity/wijmo.gauge/index.js', '@grapecity/wijmo.grid': 'npm:@grapecity/wijmo.grid/index.js', '@grapecity/wijmo.grid.detail': 'npm:@grapecity/wijmo.grid.detail/index.js', '@grapecity/wijmo.grid.filter': 'npm:@grapecity/wijmo.grid.filter/index.js', '@grapecity/wijmo.grid.search': 'npm:@grapecity/wijmo.grid.search/index.js', '@grapecity/wijmo.grid.grouppanel': 'npm:@grapecity/wijmo.grid.grouppanel/index.js', '@grapecity/wijmo.grid.multirow': 'npm:@grapecity/wijmo.grid.multirow/index.js', '@grapecity/wijmo.grid.transposed': 'npm:@grapecity/wijmo.grid.transposed/index.js', '@grapecity/wijmo.grid.transposedmultirow': 'npm:@grapecity/wijmo.grid.transposedmultirow/index.js', '@grapecity/wijmo.grid.pdf': 'npm:@grapecity/wijmo.grid.pdf/index.js', '@grapecity/wijmo.grid.sheet': 'npm:@grapecity/wijmo.grid.sheet/index.js', '@grapecity/wijmo.grid.xlsx': 'npm:@grapecity/wijmo.grid.xlsx/index.js', '@grapecity/wijmo.grid.selector': 'npm:@grapecity/wijmo.grid.selector/index.js', '@grapecity/wijmo.grid.cellmaker': 'npm:@grapecity/wijmo.grid.cellmaker/index.js', '@grapecity/wijmo.nav': 'npm:@grapecity/wijmo.nav/index.js', '@grapecity/wijmo.odata': 'npm:@grapecity/wijmo.odata/index.js', '@grapecity/wijmo.olap': 'npm:@grapecity/wijmo.olap/index.js', '@grapecity/wijmo.rest': 'npm:@grapecity/wijmo.rest/index.js', '@grapecity/wijmo.pdf': 'npm:@grapecity/wijmo.pdf/index.js', '@grapecity/wijmo.pdf.security': 'npm:@grapecity/wijmo.pdf.security/index.js', '@grapecity/wijmo.viewer': 'npm:@grapecity/wijmo.viewer/index.js', '@grapecity/wijmo.xlsx': 'npm:@grapecity/wijmo.xlsx/index.js', '@grapecity/wijmo.undo': 'npm:@grapecity/wijmo.undo/index.js', '@grapecity/wijmo.interop.grid': 'npm:@grapecity/wijmo.interop.grid/index.js', '@grapecity/wijmo.touch': 'npm:@grapecity/wijmo.touch/index.js', '@grapecity/wijmo.cloud': 'npm:@grapecity/wijmo.cloud/index.js', '@grapecity/wijmo.barcode': 'npm:@grapecity/wijmo.barcode/index.js', '@grapecity/wijmo.barcode.common': 'npm:@grapecity/wijmo.barcode.common/index.js', '@grapecity/wijmo.barcode.composite': 'npm:@grapecity/wijmo.barcode.composite/index.js', '@grapecity/wijmo.barcode.specialized': 'npm:@grapecity/wijmo.barcode.specialized/index.js', "@grapecity/wijmo.angular2.chart.analytics": "npm:@grapecity/wijmo.angular2.chart.analytics/index.js", "@grapecity/wijmo.angular2.chart.animation": "npm:@grapecity/wijmo.angular2.chart.animation/index.js", "@grapecity/wijmo.angular2.chart.annotation": "npm:@grapecity/wijmo.angular2.chart.annotation/index.js", "@grapecity/wijmo.angular2.chart.finance.analytics": "npm:@grapecity/wijmo.angular2.chart.finance.analytics/index.js", "@grapecity/wijmo.angular2.chart.finance": "npm:@grapecity/wijmo.angular2.chart.finance/index.js", "@grapecity/wijmo.angular2.chart.hierarchical": "npm:@grapecity/wijmo.angular2.chart.hierarchical/index.js", "@grapecity/wijmo.angular2.chart.interaction": "npm:@grapecity/wijmo.angular2.chart.interaction/index.js", "@grapecity/wijmo.angular2.chart.radar": "npm:@grapecity/wijmo.angular2.chart.radar/index.js", '@grapecity/wijmo.angular2.chart.map': 'npm:@grapecity/wijmo.angular2.chart.map/index.js', "@grapecity/wijmo.angular2.chart": "npm:@grapecity/wijmo.angular2.chart/index.js", "@grapecity/wijmo.angular2.core": "npm:@grapecity/wijmo.angular2.core/index.js", "@grapecity/wijmo.angular2.gauge": "npm:@grapecity/wijmo.angular2.gauge/index.js", "@grapecity/wijmo.angular2.grid.detail": "npm:@grapecity/wijmo.angular2.grid.detail/index.js", "@grapecity/wijmo.angular2.grid.filter": "npm:@grapecity/wijmo.angular2.grid.filter/index.js", "@grapecity/wijmo.angular2.grid.grouppanel": "npm:@grapecity/wijmo.angular2.grid.grouppanel/index.js", "@grapecity/wijmo.angular2.grid.search": "npm:@grapecity/wijmo.angular2.grid.search/index.js", "@grapecity/wijmo.angular2.grid.multirow": "npm:@grapecity/wijmo.angular2.grid.multirow/index.js", "@grapecity/wijmo.angular2.grid.sheet": "npm:@grapecity/wijmo.angular2.grid.sheet/index.js", '@grapecity/wijmo.angular2.grid.transposed': 'npm:@grapecity/wijmo.angular2.grid.transposed/index.js', '@grapecity/wijmo.angular2.grid.transposedmultirow': 'npm:@grapecity/wijmo.angular2.grid.transposedmultirow/index.js', "@grapecity/wijmo.angular2.grid": "npm:@grapecity/wijmo.angular2.grid/index.js", "@grapecity/wijmo.angular2.input": "npm:@grapecity/wijmo.angular2.input/index.js", "@grapecity/wijmo.angular2.olap": "npm:@grapecity/wijmo.angular2.olap/index.js", "@grapecity/wijmo.angular2.viewer": "npm:@grapecity/wijmo.angular2.viewer/index.js", "@grapecity/wijmo.angular2.nav": "npm:@grapecity/wijmo.angular2.nav/index.js", "@grapecity/wijmo.angular2.directivebase": "npm:@grapecity/wijmo.angular2.directivebase/index.js", '@grapecity/wijmo.angular2.barcode.common': 'npm:@grapecity/wijmo.angular2.barcode.common/index.js', '@grapecity/wijmo.angular2.barcode.composite': 'npm:@grapecity/wijmo.angular2.barcode.composite/index.js', '@grapecity/wijmo.angular2.barcode.specialized': 'npm:@grapecity/wijmo.angular2.barcode.specialized/index.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js', "@angular/common/http": "https://cdn.jsdelivr.net/npm/@angular/common@16.2.6/fesm2022/http.mjs", "@angular/core": "https://cdn.jsdelivr.net/npm/@angular/core@16.2.6/fesm2022/core.mjs", "@angular/platform-browser": "https://cdn.jsdelivr.net/npm/@angular/platform-browser@16.2.6/fesm2022/platform-browser.mjs", "@angular/common": "https://cdn.jsdelivr.net/npm/@angular/common@16.2.6/fesm2022/common.mjs", "@angular/compiler": "https://cdn.jsdelivr.net/npm/@angular/compiler@16.2.6/fesm2022/compiler.mjs", "@angular/forms": "https://cdn.jsdelivr.net/npm/@angular/forms@16.2.6/fesm2022/forms.mjs", "@angular/localize": "https://cdn.jsdelivr.net/npm/@angular/localize@16.2.6/fesm2022/localize.mjs", "@angular/platform-browser-dynamic": "https://cdn.jsdelivr.net/npm/@angular/platform-browser-dynamic@16.2.6/fesm2022/platform-browser-dynamic.mjs", }, // packages tells the System loader how to load when no filename and/or no extension packages: { "./src": { defaultExtension: 'ts' }, "node_modules": { defaultExtension: 'js' }, wijmo: { defaultExtension: 'js', } } }); })(this);